Carreteras

Solo disponible en BuenasTareas
  • Páginas : 2 (474 palabras )
  • Descarga(s) : 7
  • Publicado : 21 de junio de 2010
Leer documento completo
Vista previa del texto
;;acota azimut y distancia de una polilinea
(defun entorno_azm ()
(if (null (tblobjname "STYLE" "ROMANS"))
(entmake '((0 . "STYLE")
(100 . "AcDbSymbolTableRecord")(100 . "AcDbTextStyleTableRecord")
(2 . "ROMANS")
(70 . 0)
(40 . 0.5)
(41 . 1.0)
(50 .0.0)
(71 . 0)
(3 . "romans.shx")
(4 . "")
)
)
)
(if (null (tblobjname "LAYER" "ACOT"))
(entmake '((0. "LAYER")
(100 . "AcDbSymbolTableRecord")
(100 . "AcDbLayerTableRecord")
(2 . "ACOT")
(70 . 0)
(62 . 7)(6 . "CONTINUOUS")
)
)
)
);;;@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
(defun c:daa (/ osm angbase angdir p1 p2 d x1 y1 x2 y2 xm ym pm p1yx p2yx ang-rad ang-dec azimuth dist dist-txt)
(graphscr)
(setvar "cmdecho" 0)
(entorno_azm)
(setvar "dimzin"1)
(setq osm (getvar "osmode"))
(setvar "osmode" 9)
(setq angbase (getvar "angbase"))
(setvar "angbase" (* pi 0.5))
(setq angdir (getvar "angdir"))
(setvar "angdir" 1)(setvar "orthomode" 0)
(setq p1 (getpoint "\nazimuth, distance primer punto: "))
(terpri)
(setq p2 (getpoint "\nsiguiente punto: " p1))
(terpri)
(setq d (distance p1 p2))(setq x1 (car p1))
(setq y1 (cadr p1))
(setq x2 (car p2))
(setq y2 (cadr p2))
(setq xm (/ (+ x1 x2) 2))
(setq ym (/ (+ y1 y2) 2))
(setq pm (list xm ym))
(setqp1yx (list y1 x1))
(setq p2yx (list y2 x2))
(setq ang-rad (angle p1yx p2yx))
(setq ang-dec (* (/ 180 pi) ang-rad))
(setq ang-dec (abs ang-dec))
(setq azimuth (strcat "az "...
tracking img